<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Auth extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Cadastro_Model');
        $this->load->model('Saldo_Model');
        $this->load->database();
        $this->ci = & get_instance();
        $this->ci->load->config('url', TRUE);
    }

    public function termo() {

        if (isset($_SESSION['logado']) == TRUE) {
            
            $cliente = $this->Saldo_Model->clienteNegocio();
            $id_cliente = $cliente['id_cliente'];
            $dados = array('cliente' => $this->Cadastro_Model->verificaAluno(), 'termos' => $this->Cadastro_Model->obtemTermo(), 'cliente_termo' => $this->Cadastro_Model->obtemClienteTermo($id_cliente));
            $this->load->view('termo', $dados);
        } else {
           
            redirect('base');
        }
    }

    public function novotermo() {

        if (isset($_SESSION['logado']) == TRUE) {
            $dados = array('cliente' => $this->Cadastro_Model->verificaAluno(), 'termos' => $this->Cadastro_Model->obtemTermo());
            $this->load->view('novotermo', $dados);
        } else {
            redirect('base');
        }
    }

    public function auth($autenticacao) {

        $aut = (base64_decode(strrev(base64_decode($autenticacao))));
        $pieces = explode(":", $aut);
        $dados = array(
            'hash' => base64_decode($pieces[0]),
            'id' => $pieces[1],
            'email' => $pieces[2],
            'nome' => $pieces[3]
        );
        $this->session->set_userdata("amazonia", $dados['id']);
        $chave = $dados['hash'];
        $this->session->set_userdata("logado", $dados);
        $aluno = $this->Cadastro_Model->verificaAluno();
        $termos = $this->Cadastro_Model->obtemTermo();
        $instituicao = $this->Cadastro_Model->verificainstituicao($chave);
        $id_amn = $dados['id'];
        $this->session->set_userdata("id_amn", $id_amn);
        if (($termos) != NULL) {
            if (($dados['hash'] != "" && $dados['id'] != "" && $dados['email'] != "" && $dados['nome'] != "") && empty($aluno)) { 
            redirect('termo');
            } else {
            redirect('saldo');
            }
        } else {
            redirect('base');
        }
    }

    public function logout() {
        $this->session->unset_userdata('logado');
        $this->session->unset_userdata('pisc');
        $this->session->sess_destroy();
        
        redirect('base');
    }    
}
